Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186225 - [69cat] NullPointerException at java.lang.String.compareTo
[69cat] NullPointerException at java.lang.String.compareTo
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@platform
EXCEPTIONS_REPORT 69patch1
:
Depends on:
Blocks: 186672
  Show dependency treegraph
 
Reported: 2010-05-16 20:21 UTC by alied
Modified: 2010-06-24 22:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.70 KB, text/plain)
2010-05-16 20:21 UTC, alied
Details

Note You need to log in before you can comment on or make changes to this bug.
Description alied 2010-05-16 20:21:46 UTC
Build: NetBeans IDE Dev (Build 201005132200)
VM: Java HotSpot(TM) Client VM, 16.3-b01, Java(TM) SE Runtime Environment, 1.6.0_20-b02
OS: Windows Vista

User Comments:
alied: debugging while trying to evaluate in the variables window. probably a null pointer somewhere.

alied: debugging

alied: debugging




Stacktrace: 
java.lang.NullPointerException
   at java.lang.String.compareTo(String.java:1167)
   at org.openide.explorer.view.OutlineView$OutlineViewOutline$OutlineViewOutlineColumn$NodeNestedComparator.compare(OutlineView.java:1228)
   at org.netbeans.swing.outline.Outline$OutlineColumn$OutlineRowComparator.compare(Outline.java:435)
   at org.netbeans.swing.outline.Outline$OutlineColumn$OutlineRowComparator.compare(Outline.java:365)
   at org.netbeans.swing.etable.ETableColumnModel$CompoundComparator.compare(ETableColumnModel.java:320)
   at org.netbeans.swing.etable.ETableColumnModel$CompoundComparator.compare(ETableColumnModel.java:308)
Comment 1 alied 2010-05-16 20:21:51 UTC
Created attachment 99061 [details]
stacktrace
Comment 2 Martin Entlicher 2010-06-08 10:10:07 UTC
getDisplayName() is null. This is probably returned by TreeModelNode in spi.viewmodel.
Comment 3 Martin Entlicher 2010-06-08 13:14:54 UTC
Fixed in changeset:   172626:c5327aad8fc7
http://hg.netbeans.org/main/rev/c5327aad8fc7
Comment 4 Quality Engineering 2010-06-09 06:53:58 UTC
Integrated into 'main-golden', will be available in build *201006090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c5327aad8fc7
User: mentlicher@netbeans.org
Log: #186225 - Assure that we do not return a null display name.
Comment 5 rbalada 2010-06-22 15:26:26 UTC
Please verify the bugfix asap.
Comment 6 rbalada 2010-06-22 15:40:54 UTC
I've prepared combined change in branch debugger_ports in release691 repository.
Comment 7 Marian Mirilovic 2010-06-23 08:02:40 UTC
verified in 20100622
Comment 8 rbalada 2010-06-24 22:03:40 UTC
Integrated into release691 repository

changeset:   171804:c30febb9fe6d
branch:      debugger_ports
user:        mentlicher@netbeans.org
date:        Tue Jun 08 13:41:25 2010 +0200
summary:     #186225 - Assure that we do not return a null display name.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo